Loading...
Searching...
No Matches
count_server Class Reference

## Public Member Functions

void | on_open (connection_hdl hdl)
void | on_close (connection_hdl hdl)
void | count ()
void | run (uint16_t port)

## Detailed Description

Definition at line 13 of file simple_count_server_thread.cpp.

## Constructor & Destructor Documentation

## count_server()

count_server::count_server | ( |  | ) |

inline

Definition at line 15 of file simple_count_server_thread.cpp.

## Member Function Documentation

## count()

void count_server::count | ( |  | ) |

inline

Definition at line 32 of file simple_count_server_thread.cpp.

## on_close()

void count_server::on_close | ( | connection_hdl | hdl | ) |

inline

Definition at line 27 of file simple_count_server_thread.cpp.

## on_open()

void count_server::on_open | ( | connection_hdl | hdl | ) |

inline

Definition at line 22 of file simple_count_server_thread.cpp.

## run()

void count_server::run | ( | uint16_t | port | ) |

inline

Definition at line 47 of file simple_count_server_thread.cpp.

The documentation for this class was generated from the following file:

- docs/simple_count_server_thread.cpp